﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace WpfApplication2
{
    [Serializable]
    public class Configuration
    {
        private NormalMode normalMode = new NormalMode();
        private StepMode stepMode = new StepMode();

        [TypeConverter(typeof(ExpandableObjectConverter))]
        public NormalMode normal_mode
        {
            get { return normalMode; }
            set { normalMode = value; }
        }

        [TypeConverter(typeof(ExpandableObjectConverter))]
        public StepMode step_mode
        {
            get { return stepMode; }
            set { stepMode = value; }
        }

        #region normalmode


        [Serializable]
        public class NormalMode
        {
            private Channel1 channel1 = new Channel1();

            [TypeConverter(typeof(ExpandableObjectConverter))]
            public Channel1 channel_1
            {
                get { return channel1; }
                set { channel1 = value; }
            }

            [Serializable]
            public class Channel1
            {
                private int NMch1current = 1;

                [XmlAttribute]
                public int NMch1Current
                {
                    get { return NMch1current; }
                    set { NMch1current = value; }
                }
                public override string ToString()
                {
                    return " ";
                }

            }
            public override string ToString()
            {
                return " ";
            }

    }

        #endregion


        #region StepMode


        [Serializable]
        public class StepMode
        {
            private Channel2 channel2 = new Channel2();

            [TypeConverter(typeof(ExpandableObjectConverter))]
            public Channel2 channel_2
            {
                get { return channel2; }
                set { channel2 = value; }
            }

            [Serializable]
            public class Channel2
            {
                private string SMch2current = "1";

                [XmlAttribute]
                public string SMch2Current
                {
                    get { return SMch2current; }
                    set { SMch2current = value; }
                }
                public override string ToString()
                {
                    return " ";
                }
            }
            public override string ToString()
            {
                return " ";
            }
        }
        #endregion

    }
}
